#property copyright "Manny Patio"
#property link      ""

//Expert Settings
extern double ACCOUNT_PROFIT = 80.00;

int start()
{
   while(!CheckAccountProfit()) {
      Sleep(10000); // wait 10 sec
   }
   
   Alert("All orders closed");
   
   return(0);
}

bool CheckAccountProfit()
{   
   bool is_good;
   
   if(GetAccountProfit() < ACCOUNT_PROFIT) return (false) ;
   
   for(int i=0; i < OrdersTotal(); i++){
      if(!OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) {
         return ;
      }
      
      is_good=false;
      while (!is_good) {
         if(OrderType() == OP_SELL) {
            is_good=OrderClose(OrderTicket(), OrderLots(), Ask, 3, Orange);
         }   
         else if(OrderType() == OP_BUY) {
            is_good=OrderClose(OrderTicket(), OrderLots(), Bid, 3, Orange);
         }
         Sleep(1000);
      }
   }
   
   return (true);
}

double GetAccountProfit() {
   double profit=0.0;

   for(int i=0; i < OrdersTotal(); i++){
      if (!OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) continue;

      profit += OrderProfit();
   }
  
   return (profit);
}